Icedove
December 19, 2010 04:26AM
I would gladly appreciate an upgrade for icedove to version 3.0 or higher because so much add-ons don't work with 2.0
Thanks a lot.